Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.table.celleditor.rcp
Class NativeWidgetHelper

    java.lang.Object
      org.eclipse.emf.ecp.view.spi.table.celleditor.rcp.NativeWidgetHelper

    public final class NativeWidgetHelper

extends Object

Util class for faking native widgets.

Author:
  jfaltermeier

Nested Class Summary
`static class` | `NativeWidgetHelper.CheckBoxState` Enum describing the state of a checkbox.

Method Summary
`static org.eclipse.swt.graphics.Image` | `getCheckBoxImage(org.eclipse.swt.widgets.Control control, NativeWidgetHelper.CheckBoxState state)` Returns the image of a checkbox.
`static void` | `initCheckBoxImages(org.eclipse.swt.widgets.Control control)` Creates screenshots of the platform's native checkbox in checked and unchecked state.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### initCheckBoxImages

    public static void initCheckBoxImages(org.eclipse.swt.widgets.Control control)

  Creates screenshots of the platform's native checkbox in checked and unchecked state. The images can be accessed via `getCheckBoxImage(Control, CheckBoxState)`.

  Parameters:
    `control` - a control which provides the `Display` and `Shell` to create the screen shots

### getCheckBoxImage

    public static org.eclipse.swt.graphics.Image getCheckBoxImage(org.eclipse.swt.widgets.Control control,
                                                                  NativeWidgetHelper.CheckBoxState state)

  Returns the image of a checkbox. If `initCheckBoxImages(Control)` was called beforehand this will return images resembling the platform's native widgets. Otherwise a default image (Windows 7) will be returned.

  Parameters:
    `control` - a control which provides the `Display` to create the image
    `state` - the state of the checkbox
  Returns:
    the image

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.